package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsDeviceModel;
import com.sckw.slope.detection.model.dos.mysql.KwsDeviceReference;
import com.sckw.slope.detection.model.vo.DevicePartModelVo;
import com.sckw.slope.detection.model.vo.DeviceReferenceVo;
import com.sckw.slope.detection.model.vo.DeviceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsDeviceReferenceMapper extends BaseMapper<KwsDeviceReference> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsDeviceReference record);

    int insertSelective(KwsDeviceReference record);

    KwsDeviceReference selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsDeviceReference record);

    int updateByPrimaryKey(KwsDeviceReference record);

    List<DeviceReferenceVo>  selectByDeviceId(@Param("vo") DeviceVo vo);

}